#include "break.hh"
#include <string.h>
#include <stdlib.h>

#include <strstream.h>
void
Break::parseMacro(const char *s)
{
    char *q=strdup(s);
    strstream ss(q, strlen(q));

    char c;
    int d;
    ss >> after_>>c>>max_>>c>>d;
    if (after_ < 0 || max_ < 0 ||d <0  || max_ < after_){
	cerr << "Break::parse(): illegal parameters"<<endl;
	exit(1);
    }
    d *= 60*1000;
    
    duration_ = unsigned(d);
    free(q);
}

void 
Break::parseMicro(const char *s)
{
    char *q=strdup(s);
    strstream ss(q, strlen(q));

    char c;
    int d;
    ss >> after_>>c>>max_>>c>>d;
    if (after_ < 0 || max_ < 0 ||d <0  || max_ < after_){
	cerr << "Break::parse(): illegal parameters"<<endl;
	exit(1);
    }
    d*=1000;
    duration_ = unsigned(d);
    free(q);
}

