#ifndef _DANGERLEVEL_H_
#define _DANGERLEVEL_H_

#include "fieldmeter.h"
class XTypeWatch;

class DangerMeter : public FieldMeter {
protected:
    bool warned_;

    float danger_, max_;
    void tryWarn(float lvl) ;
    void drawLevel(float lvl);    
public:
    DangerMeter(XTypeWatch *parent, int x, int y, int width, int height,
		const char *tit,  const char *leg);
    virtual ~DangerMeter() {}

    void checkResources( void );
};


#endif
